//********************************************************************
//*** POSIX/sys/timeval.hh
//*** Copyright (c) 2002 by Markus Winand <mws@fatalmind.com>
//*** $Id: timeval.hh,v 1.4 2003/05/29 18:51:27 mws Exp $
//********************************************************************

#include <sys/time.h>
#include <iosfwd>

namespace POSIX {
class timeval: public ::timeval
{
	public:
		timeval();
		~timeval();
	
		timeval& operator+=(const timeval&);
		timeval& operator-=(const timeval&);

		operator float() const;
		friend std::ostream& operator<<(std::ostream&, const timeval&);
		friend timeval operator-(const timeval&, const timeval&);
};

std::ostream& operator<<(std::ostream&, const timeval&);

}
