//********************************************************************
//*** ResourcePool/SQL/RTCommandParameters.hh
//*** Copyright (c) 2003-2008 by Markus Winand <mws@fatalmind.com>
//*** $Id: RTCommandParameters.hh,v 1.4 2008/01/27 16:42:28 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef RESOURCEPOOL_SQL_RTCOMMANDPARAMETERS_HH
#define RESOURCEPOOL_SQL_RTCOMMANDPARAMETERS_HH

#include "ResourcePool/SQL/Factory.hh"

namespace fatalmind {
namespace SQL {

template<class TM>
class CommandParameters {
    public:
		typedef typename SQLFactory<TM>::databaseType_t databaseType_t;

		CommandParameters(const databaseType_t& t, const std::string& sql)
		: t_(t)
		, sql_(sql)
		{
		}
		
		databaseType_t getDatabaseType() const {
			return t_;
		}	

		const std::string& getSQL() const {
			return sql_;
		}

	private:
		const databaseType_t t_;
        const std::string& sql_;
};

} // namespace SQL
} // namespace fatalmind
#endif
